/*******************************************************************************
 * FoxAnimNode_Movement generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxAnimNode_Movement extends AnimNodeBlendList
    native(Animation)
    hidecategories(Object,Object,Object,Object);

enum EMoveTransChannel
{
    EMTC_Idle,
    EMTC_Walk,
    EMTC_Run,
    EMTC_Sprint,
    EMTC_MAX
};

struct native MovementDef
{
    var() float BaseSpeed;
    var array<AnimNodeSequence> SeqNodes;

    structdefaultproperties
    {
        BaseSpeed=0.0
        SeqNodes=none
    }
};

var() bool bScaleAnimationsPlayRateBySpeed;
var() bool bScaleConstraintsByBaseSpeed;
var() bool UseZMovementInSpeed;
var const transient FoxPawn FoxPawnOwner;
var float Speed;
var() float IdleToMoveBlendTime;
var() float MoveToIdleBlendTime;
var() float BlendUpTime;
var() float BlendDownTime;
var() float BlendDownPerc;
var() float MoveCycleFirstStepStartPosition;
var AnimNodeSynch SynchNode;
var() name Name_SynchNode;
var() name Name_SynchGroupName;
var() array<MovementDef> Movements;

defaultproperties
{
    bScaleAnimationsPlayRateBySpeed=true
    IdleToMoveBlendTime=0.250
    MoveToIdleBlendTime=0.250
    BlendUpTime=0.250
    BlendDownTime=0.250
    BlendDownPerc=0.330
    MoveCycleFirstStepStartPosition=0.30
    Name_SynchNode=SynchNode
    Name_SynchGroupName=StdMovement
    Movements(0)=(BaseSpeed=0.0,SeqNodes=none)
    Movements(1)=(BaseSpeed=300.0,SeqNodes=none)
    Movements(2)=(BaseSpeed=600.0,SeqNodes=none)
    Movements(3)=(BaseSpeed=1000.0,SeqNodes=none)
    Children=/* Array type was not detected. */
    bFixNumChildren=true
}